# OpenShaderDesigner: GLW::BufferObject< T, U, S > Class Template Reference

Loading...
Searching...
No Matches
GLW::BufferObject< T, U, S > Class Template Reference

## Public Member Functions

| BufferObject (SizeT size, void *data=nullptr)
| BufferObject constructor.
| BufferObject (BufferObject &&other)
| Move Constructor.
| BufferObject (const BufferObject &other)
| Copy Constructor.
| ~BufferObject ()
| Destructor.
| operator bool () const
| Validity test.
BufferObject & | operator= (const BufferObject &other)
| Copy Assignment.
BufferObject & | operator= (BufferObject &&other) noexcept
| Move Assignment.
SizeT | Size () const
void | Resize (SizeT size)

## Static Public Attributes

static constexpr BufferType | Type = T
static constexpr BufferUsage | Usage = U
static constexpr BufferStorage | Storage = S

## Constructor & Destructor Documentation

## BufferObject()

template<BufferType T, BufferUsage U, BufferStorage S>

GLW::BufferObject< T, U, S >::BufferObject | ( | SizeT | size,
|  | void * | data = nullptr )

BufferObject constructor.

Parameters

  size | Size in bytes of the Buffer
  data | Data to be used as the initial contents of the Buffer

The documentation for this class was generated from the following file:

- Include/OpenGL/BufferObject.h